Update an annotation
curl --request PATCH \
--url https://{region}.affinda.com/v3/annotations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"parsed": "<string>",
"isClientVerified": true,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123,
"validationResults": [
{
"created": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"updated": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"deleted": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
]
}
]
}
EOFimport requests
url = "https://{region}.affinda.com/v3/annotations/{id}"
payload = {
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"parsed": "<string>",
"isClientVerified": True,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123,
"validationResults": [
{
"created": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"updated": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"deleted": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rectangles: [{x0: 2.43, y0: 4.55, x1: 4.56, y1: 6.32, pageIndex: 1}],
document: '<string>',
pageIndex: 0,
raw: '<string>',
parsed: '<string>',
isClientVerified: true,
dataPoint: '<string>',
field: '<string>',
parent: 123,
validationResults: [
{
created: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
],
updated: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
],
deleted: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
]
}
]
})
};
fetch('https://{region}.affinda.com/v3/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "text",
"dataPoint": "<string>",
"field": "<string>",
"parent": 123
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Annotations
Update an annotation
Update data of an annotation.
PATCH
/
v3
/
annotations
/
{id}
Update an annotation
curl --request PATCH \
--url https://{region}.affinda.com/v3/annotations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"parsed": "<string>",
"isClientVerified": true,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123,
"validationResults": [
{
"created": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"updated": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"deleted": [
{
"id": 1,
"annotations": [
1,
2,
3
],
"passed": true,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
]
}
]
}
EOFimport requests
url = "https://{region}.affinda.com/v3/annotations/{id}"
payload = {
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"parsed": "<string>",
"isClientVerified": True,
"dataPoint": "<string>",
"field": "<string>",
"parent": 123,
"validationResults": [
{
"created": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"updated": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
],
"deleted": [
{
"id": 1,
"annotations": [1, 2, 3],
"passed": True,
"ruleSlug": "supplier-name-is-alphanumeric",
"message": "Expected 'ThisInputShouldMatch' to match regex pattern '[0-9]*",
"document": "<string>"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rectangles: [{x0: 2.43, y0: 4.55, x1: 4.56, y1: 6.32, pageIndex: 1}],
document: '<string>',
pageIndex: 0,
raw: '<string>',
parsed: '<string>',
isClientVerified: true,
dataPoint: '<string>',
field: '<string>',
parent: 123,
validationResults: [
{
created: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
],
updated: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
],
deleted: [
{
id: 1,
annotations: [1, 2, 3],
passed: true,
ruleSlug: 'supplier-name-is-alphanumeric',
message: 'Expected \'ThisInputShouldMatch\' to match regex pattern \'[0-9]*',
document: '<string>'
}
]
}
]
})
};
fetch('https://{region}.affinda.com/v3/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 1,
"rectangle": {
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
},
"rectangles": [
{
"x0": 2.43,
"y0": 4.55,
"x1": 4.56,
"y1": 6.32,
"pageIndex": 1
}
],
"document": "<string>",
"pageIndex": 0,
"raw": "<string>",
"confidence": 0.86,
"classificationConfidence": 0.95,
"textExtractionConfidence": 0.9,
"isVerified": true,
"isClientVerified": true,
"isAutoVerified": true,
"contentType": "text",
"dataPoint": "<string>",
"field": "<string>",
"parent": 123
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Annotation data to update
Response
object | null
Successfully updated annotation data.
The different data types of annotations
Available options:
text, integer, float, decimal, date, datetime, daterange, boolean, enum, location, phonenumber, json, table, expectedremuneration, jobtitle, language, skill, yearsexperience, group, table_deprecated, url, image, docclf 
